<img src="insane.png" width="150px" style="display: block; margin: auto;" />

### Experimental Protocol

#### Culture of EndoC-βH1 cells

EndoC-βH1 cells are cultured in Optiβ medium (Univercell). Cells are
seeded at a density of 2.5 × 10<sup>6</sup> in T25 flasks coated with
β-coat (Univercell) according to manufacturer’s instructions, and
cultured at 37 °C and 5 % CO2.

#### Transfection of siRNA into EndoC-βH1 cells

In case of transfection, siRNAs are transfected into EndoC-βH1 cells
using Lipofectamine 2000 (Invitrogen).  
Freshly trypsinized EndoC-βH1 (0.5 × 10<sup>6</sup> cells) are incubated
in suspension with Lipofectamine-siRNA complex in Opti-MEM (Invitrogen)
containing 50 μM 2-mercaptoethanol, 10 mM nicotinamide (Calbiochem,
Merck Millipore), 5.5 mg/ml human transferrin (Sigma-Aldrich), 6.7 ng/ml
sodium selenite (Sigma-Aldrich), 100 U/ml penicillin and 100 mg/ml
streptomycin (Life Technologies) for 10 minutes and then are plated onto
culture wells coated with β-oat (Univercell).  
Six hours later, the medium is replaced.  
We previously used ON-TARGETplus siRNA SMARTpool for each gene of
interest (20-30 nM) and ON-TARGETplus nontargeting pool for controls
(siNTP; Dharmacon, Thermo Fisher Scientific, Waltham, MA, USA) (Ndiaye
et al. [2017](#ref-ndiaye_expression_2017)).  
Cells are analyzed 72 hours post transfection.

#### Assessment of insulin secretion from EndoC-βH1 cells

EndoC-βH1 cells seeded onto β-coat-coated 96-well plates at
5 × 10<sup>4</sup> cells/well are incubated overnight in no glucose
Dulbecco’s Modified Eagle’s Medium (Sigma Aldrich) supplemented with 2 %
BSA Fraction V, 50 μM 2-mercaptoethanol, 10 mM nicotinamide (Calbiochem,
Merck Millipore), 5.5 mg/ml human transferrin (Sigma-Aldrich), 6.7 ng/ml
sodium selenite (Sigma-Aldrich), 100 U/ml penicillin and 100 mg/ml
streptomycin (Life Technologies) and that contained 2.8 mM glucose.  
The day after, they are incubated in HEPES-buffered Krebs-Ringer Buffer
(KRB; 116 mmol/l NaCl, 5.06 mmol/l KCl, 1.007 mmol/l CaCl2, 1.01 mmol/l
MgCl2, 23.96 mmol/l NaHCO3, 10 mmol/l HEPES, pH 7.4, and 0.1 % BSA
solution) that contained 0.5 mM glucose ± 0.5 mM IBMX (Sigma Aldrich)
for 60 minutes at 37 °C.  
This supernatant is subsequently collected (supernatant 1 \[SN1\]) and
replaced with 16.7 mM glucose KRB ± 0.5 mM IBMX for a 60-minute
incubation at 37 °C and then collected (supernatant 2 \[SN2\]).  
For insulin content measurement, cells are lysed with TETG buffer (20 mM
Tris-HCl pH 8.0, 137 mM NaCl, 1 % Triton X-100, 10 % Glycerol, 2 mM EGTA
with protease inhibitors; Roche).  
Lysate, SN1 and SN2 are centrifuged for 5 minutes at 700 g.  
Samples are kept frozen at -20 °C before use.  
Insulin concentration in the supernatants and intracellular content of
the EndoC-βH1 cells are measured by ELISA according to manufacturer’s
instructions using the Human Insulin Kit (Mercodia, Uppsala, Sweden).  
Briefly, 25 µl of either blank, standard (from 0.2 to 6 µg/ml), or
diluted samples (1:400 for lysates and 1:16 for supernatants) and 100 µl
1X conjugate enzyme are put in the 96-well plate coated with insulin
antibody for 1 hour under agitation at room temperature.  
The plate is then washed six times with wash buffer 1X solution.  
Then, 200 µl substrate is added in the plate for a 15-minute
incubation.  
Then, 50 µl stop solution is added and the absorbance at 450 nm is
measured, using technical duplicates of experimental triplicates,
leading to six measurements per experimental conditions (that are
subsequently repeated).

*Note*: absorbance values need to be written within the Excel template
provided by the **insane** package.

#### References

Ndiaye, Fatou K., Ana Ortalli, Mickaël Canouil, Marlène Huyvaert, Clara
Salazar-Cardozo, Cécile Lecoeur, Marie Verbanck, et al. 2017.
“Expression and Functional Assessment of Candidate Type 2 Diabetes
Susceptibility Genes Identify Four New Genes Contributing to Human
Insulin Secretion.” *Molecular Metabolism* 6 (6): 459–70.
<https://doi.org/10.1016/j.molmet.2017.03.011>.
